Author: Sergei Golovan
Description: Patch fixes a few typos
Last-Modified: Fri, 29 May 2026 11:40:55 +0300

--- a/applications/mail/src/mail.erl
+++ b/applications/mail/src/mail.erl
@@ -892,7 +892,7 @@
             decode_q(Rest, [C|Acc])
     catch
         _:_ ->
-            decode_q(Rest, [H2,H1,$=|Acc]);
+            decode_q(Rest, [H2,H1,$=|Acc])
     end;
 decode_q([C|Cs], Acc) ->
     decode_q(Cs, [C|Acc]).
@@ -902,14 +902,14 @@
     try base64_2_str(Str) of
         Dec -> Dec
     catch
-        _:_ -> Str;
+        _:_ -> Str
     end;
 decode_b64([$?,$=|Rest],Acc) ->
     Str = lists:reverse(Acc),
     try base64_2_str(Str) of
         Dec -> Dec ++ decode(Rest)
     catch
-        _:_ -> Str++decode(Rest);
+        _:_ -> Str++decode(Rest)
     end;
 decode_b64([C|Rest], Acc) ->
     decode_b64(Rest,[C|Acc]).
@@ -2424,7 +2424,7 @@
     try quoted_2_str(lists:flatten(Msg)) of
         Decoded -> Decoded
     catch
-        _:_ ->
+        _:Reason ->
             io:format("failed to decode quoted-printable ~p\n", [Reason]),
             Msg
     end;
--- a/applications/yapp/src/yapp.erl
+++ b/applications/yapp/src/yapp.erl
@@ -219,7 +219,7 @@
     ok;
 insert(Yapps) when is_list(Yapps) ->
     {ok, Gconf, Sconfs} = get_conf(),
-    NewSconfs = try insert_yapps_in_sconfs(Yapps, Sconfs))
+    NewSconfs = try insert_yapps_in_sconfs(Yapps, Sconfs)
                 catch _:_ -> Sconfs end,
     yaws_api:setconf(Gconf, NewSconfs).
 %% @hidden
--- a/applications/wiki/src/wiki.erl
+++ b/applications/wiki/src/wiki.erl
@@ -1774,7 +1774,7 @@
 	    end
     catch
         _:_ ->
-	    show({no_such_tag, Tag}, Root);
+	    show({no_such_tag, Tag}, Root)
     end.
 
 changePassword(Params, Root, _Prefix) ->
